# Ogre::LogListener Class Reference

The log listener is here to provide alternate means to write out log data. More...

`#include <OgreLogManager.h>`

List of all members.

## Public Member Functions

virtual void | write (const String &name, const String &message, LogMessageLevel lml=LML_NORMAL, bool maskDebug=false)=0
| Called by the log system whenever a message needs to be output.
virtual | ~LogListener ()

## Detailed Description

The log listener is here to provide alternate means to write out log data.

This is helpful if you want to redirect the log output for example to a gui window for an editing application.

Definition at line 41 of file OgreLogManager.h.

## Constructor & Destructor Documentation

virtual Ogre::LogListener::~LogListener | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual void Ogre::LogListener::write | ( | const String & | name,
|  | const String & | message,
|  | LogMessageLevel | lml = LML_NORMAL,
|  | bool | maskDebug = false
| ) | `[pure virtual]`

| Called by the log system whenever a message needs to be output.

The documentation for this class was generated from the following file:

- OgreLogManager.h

Copyright © 2000-2005 by The OGRE Team
Last modified Sun Nov 20 12:37:09 2005